float A=1;      //задаем амплитуду сигнала
float res; 
float shag=0.05;// задаем шаг (период отсчёта)
float t0 = 0; //задаём начальное значение по оси //времени

void setup() {
  Serial.begin(9600); 
  pinMode(5,INPUT_PULLUP); 
}

void loop() {
  if (digitalRead(5) == 0) 
  {
    A = 0;
  }
  else
  { 
    A = 1;
  }
  for (uint16_t t = 0; t < 1000; t++)
  {
    res=A*sin(t0 + shag*t);
    Serial.println(res); 
  }
  delay(1); 
}
